/*
 *                   jfjji,.           H A M M E R H E A D  S H A R K W A R E
 *                  ,#######EL:                  http://www.hhsw.de
 *                   .,j######Kj       
 *                    ;W########G:     This  code  is  free software; you can
 *                   j#####G ,D#L:     redistribute it and/or modify it under
 *             .,;;,G#####D.           the  terms  of  the GNU General Public
 *           jE##########G             License   as  published  by  the  Free
 *             .,W######D.             Software  Foundation; either version 2
 *             :L#####K##G             of  the  License,  or (at your option)
 *           .f#####G;.t##:            any later version.
 *         ;L###ELi.    ,D,            
 *       iEEGWj                        This  code  is distributed in the hope
 *      tW;                            that  it  will  be useful, but without
 *     jf                              any warranty; without even the implied
 *    .Kt                              warranty of merchantability or fitness
 *    i:                               for  a particular purpose. See the GNU
 *    ;                                General   Public   License   for  more
 *    .                                details (http://www.gnu.org).
 */
#ifndef bbdock_h
#define bbdock_h

#include <unistd.h>

#include <X11/Xlib.h>
#include <X11/xpm.h>
#include <X11/Xutil.h>
#include <X11/extensions/shape.h>

#include <png.h>

/*
 * Shows an icon in the BlackBox slit from wich the user
 * can launch the corresponding application
 */
class BBDock
{
	public:
		enum
		{
			Loaded = 1
		};

		BBDock( char *, char *, int fw = 64, int fh = 64, int = 0 );
		virtual ~BBDock();
		virtual void loadPNG( char * );
		virtual void drawIcon();
		virtual void paint( int = 0 );
		virtual void run();

	protected:
		Display	*display;
		int		screen;
		Window	window;
		GC 		gc;
		XImage	*surface;
		int		*icon;
		char	*bitmap;
		int		padding;
		int		bitsperpixel;
		char	*cmd;
		int		left;
		int		top;
		int		width;
		int		height;
		int		size;
};

#endif
